OpenJPEG: imgreg_manager.h File Reference

OpenJPEG 2.1.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
imgreg_manager.h File Reference

Go to the source code of this file.

## Data Structures
struct | imgreg_param
| image region parameters More...

## Typedefs
typedef struct imgreg_param | imgreg_param_t
| image region parameters More...

## Functions
imgreg_param_t | map_viewin2imgreg (const int fx, const int fy, const int rx, const int ry, const int rw, const int rh, const int XOsiz, const int YOsiz, const int Xsiz, const int Ysiz, const int numOfreslev)
| map view-window requests to codestream image resolutions and regions More...
void | find_level (int maxlev, int *lev, int *fx, int *fy, int *xmin, int *ymin, int *xmax, int *ymax)
| find deconposition level and its resolution size C.4.1 Mapping view-window requests to codestream image resolution and regions Note: only round-down implemented More...
int | comp_decomplev (int fw, int fh, int Xsiz, int Ysiz)
| compute decomposition level (only to get the level use find_level for all parameters More...
void | print_imgreg (imgreg_param_t imgreg)
| print image region parameters More...

## Typedef Documentation

typedef struct imgreg_param imgreg_param_t

image region parameters

## Function Documentation

int comp_decomplev | ( | int | fw,
|  | int | fh,
|  | int | Xsiz,
|  | int | Ysiz
| ) |  |

compute decomposition level (only to get the level use find_level for all parameters

Parameters

  [in] | fw | horizontal frame size
  [in] | fh | vertical frame size
  [in] | Xsiz | image width
  [in] | Ysiz | image height

Returns
  decomposition level

References find_level().

Referenced by recons_codestream_from_JPPstream(), and recons_codestream_from_JPTstream().

void find_level | ( | int | maxlev,
|  | int * | lev,
|  | int * | fx,
|  | int * | fy,
|  | int * | xmin,
|  | int * | ymin,
|  | int * | xmax,
|  | int * | ymax
| ) |  |

find deconposition level and its resolution size C.4.1 Mapping view-window requests to codestream image resolution and regions Note: only round-down implemented

Parameters

  [in] | maxlev | maximum decomposition level
  [in,out] | lev | decomposition level pointer
  [in,out] | fx | horizontal frame size pointer
  [in,out] | fy | vertical frame size pointer
  [in,out] | xmin | horizontal image offset pointer
  [in,out] | ymin | vertical image offset pointer
  [in,out] | xmax | horizontal image size pointer
  [in,out] | ymax | vertical image size pointer

References FCGI_stderr, and find_level().

Referenced by comp_decomplev(), find_level(), and map_viewin2imgreg().

imgreg_param_t map_viewin2imgreg | ( | const int | fx,
|  | const int | fy,
|  | const int | rx,
|  | const int | ry,
|  | const int | rw,
|  | const int | rh,
|  | const int | XOsiz,
|  | const int | YOsiz,
|  | const int | Xsiz,
|  | const int | Ysiz,
|  | const int | numOfreslev
| ) |  |

map view-window requests to codestream image resolutions and regions

Parameters

  [in] | fx,fy | frame size
  [in] | rx,ry | offset of region
  [in] | rw,rh | size of region
  [in] | XOsiz,YOsiz | offset from the origin of the reference grid to the left side of the image area
  [in] | Xsiz,Ysiz | size of the reference grid
  [in] | numOfreslev | number of resolution levels

Returns
  structure of image region parameters

References FCGI_stdout, find_level(), imgreg_param::fx, imgreg_param::fy, imgreg_param::level, imgreg_param::ox, imgreg_param::oy, imgreg_param::sx, imgreg_param::sy, imgreg_param::xosiz, and imgreg_param::yosiz.

Referenced by enqueue_imagedata().

void print_imgreg | ( | imgreg_param_t | imgreg | ) |

print image region parameters

Parameters

  [in] | imgreg | image region structure of parameters

References imgreg_param::fx, imgreg_param::fy, imgreg_param::level, logstream, imgreg_param::ox, imgreg_param::oy, imgreg_param::sx, and imgreg_param::sy.